### Method

# GimpUi IntComboBox connect

#### Declaration [src]

    gulong
    gimp_int_combo_box_connect (
      GimpIntComboBox* combo_box,
      gint value,
      GCallback callback,
      gpointer data,
      GDestroyNotify data_destroy
    )

#### Description [src]

A convenience function that sets the initial `value` of a `GimpIntComboBox` and connects `callback` to the “changed” signal.

This function also calls the `callback` once after setting the initial `value`. This is often convenient when working with combo boxes that select a default active item, like for example gimp_drawable_combo_box_new(). If you pass an invalid initial `value`, the `callback` will be called with the default item active.

Available since: | 2.2

#### Parameters

`value` | `gint`
| The value to set.
`callback` | `GCallback`
| A callback to connect to the `combo_box`‘s “changed” signal.
`data` | `gpointer`
| A pointer passed as data to `g_signal_connect()`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`data_destroy` | `GDestroyNotify`
| Destroy function for `data`.

#### Return value

Returns: | `gulong`
| The signal handler ID as returned by `g_signal_connect()`